Package org.apache.avro.util

# Class SchemaResolver.IsResolvedSchemaVisitor

java.lang.Object
org.apache.avro.util.SchemaResolver.IsResolvedSchemaVisitor

All Implemented Interfaces:
  `SchemaVisitor<Boolean>`

Enclosing class:
  `SchemaResolver`

public static final class SchemaResolver.IsResolvedSchemaVisitor extends Object implements SchemaVisitor<Boolean>
This visitor checks if the current schema is fully resolved.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.apache.avro.util.SchemaVisitor

`SchemaVisitor.SchemaVisitorAction`

## Method Summary

Modifier and Type
Method
Description
`SchemaVisitor.SchemaVisitorAction`
`afterVisitNonTerminal(Schema nonTerminal)`
Invoked for schemas with children after its children have been visited.
`Boolean`
`get()`
Invoked when visiting is complete.
`SchemaVisitor.SchemaVisitorAction`
`visitNonTerminal(Schema nonTerminal)`
Invoked for schema with children before proceeding to visit the children.
`SchemaVisitor.SchemaVisitorAction`
`visitTerminal(Schema terminal)`
Invoked for schemas that do not have "child" schemas (like string, int …) or for a previously encountered schema with children, which will be treated as a terminal.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### visitTerminal

public SchemaVisitor.SchemaVisitorAction visitTerminal(Schema terminal)
Description copied from interface: `SchemaVisitor`
Invoked for schemas that do not have "child" schemas (like string, int …) or for a previously encountered schema with children, which will be treated as a terminal. (to avoid circular recursion)

Specified by:
  `visitTerminal` in interface `SchemaVisitor<Boolean>`

### visitNonTerminal

public SchemaVisitor.SchemaVisitorAction visitNonTerminal(Schema nonTerminal)
Description copied from interface: `SchemaVisitor`
Invoked for schema with children before proceeding to visit the children.

Specified by:
  `visitNonTerminal` in interface `SchemaVisitor<Boolean>`

### afterVisitNonTerminal

public SchemaVisitor.SchemaVisitorAction afterVisitNonTerminal(Schema nonTerminal)
Description copied from interface: `SchemaVisitor`
Invoked for schemas with children after its children have been visited.

Specified by:
  `afterVisitNonTerminal` in interface `SchemaVisitor<Boolean>`

### get

public Boolean get()
Description copied from interface: `SchemaVisitor`
Invoked when visiting is complete.

Specified by:
  `get` in interface `SchemaVisitor<Boolean>`
Returns:
  a value that will be returned by the visit method.